using UnityEngine;
using System.Collections;

public class KillAfterSoundFinishesScript : MonoBehaviour {

	// Use this for initialization
	void Start () {
		AudioSource audio = this.GetComponent<AudioSource>();
		
		float length = audio.clip.length;
		Invoke("Suicide", length);
	}
	
	void Suicide() {
		Destroy(this.gameObject);
	}
}